REM 
REM Deploy Kalkulon.exe with necessary Qt libraries and Kalkulon scripts and help files
REM !!! copy manually qtenv.bat from Qt5.x\bin folder into same folder like deploy.bat once !!!
REM
set SOURCE_DIR=.
set BUILD_DIR="..\build-Kalkulon-Desktop_Qt_5_3_MinGW_32bit-Release"
set OUT_DIR="..\Kalkulon_deploy"

call qtenv2.bat

rmdir /s %OUT_DIR%
mkdir %OUT_DIR%
copy %BUILD_DIR%\Kalkulon.exe %OUT_DIR%
windeployqt %OUT_DIR% -no-plugins -no-translations
xcopy /s /i %SOURCE_DIR%\examples %OUT_DIR%\examples
xcopy /s /i %SOURCE_DIR%\doc %OUT_DIR%\doc
xcopy %SOURCE_DIR%\*.k %OUT_DIR%\.

